# Uses of Interface
org.eclipse.ecf.provider.comm.ISynchConnection

Packages that use ISynchConnection
Package
Description
org.eclipse.ecf.provider.comm
org.eclipse.ecf.provider.comm.tcp
org.eclipse.ecf.provider.generic

## Uses of ISynchConnection in org.eclipse.ecf.provider.comm

Subinterfaces of ISynchConnection in org.eclipse.ecf.provider.comm
Modifier and Type
Interface
Description
`interface`
`ISynchAsynchConnection`
A connection instance that has both asynchronous and synchronous messaging capabilities
Constructors in org.eclipse.ecf.provider.comm with parameters of type ISynchConnection
Modifier
Constructor
Description
``
`SynchEvent(ISynchConnection conn, Object data)`

## Uses of ISynchConnection in org.eclipse.ecf.provider.comm.tcp

Classes in org.eclipse.ecf.provider.comm.tcp that implement ISynchConnection
Modifier and Type
Class
Description
`final class`
`Client`
`final class`
`SSLClient`

## Uses of ISynchConnection in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that return ISynchConnection
Modifier and Type
Method
Description
`protected ISynchConnection`
ServerSOContainer.`getSynchConnectionForID(ID memberID)`